Package org.jfree.report.expressions.sys

## Class GroupByExpression

- java.lang.Object
- - org.jfree.report.expressions.AbstractExpression
  - - org.jfree.report.expressions.sys.GroupByExpression

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Expression`

      public class GroupByExpression
      extends AbstractExpression

  Creation-Date: 08.10.2006, 16:28:37
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupByExpression()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clones the expression, expression should be reinitialized after the cloning.
    `java.lang.Object` | `computeValue()` | Return the current expression value.
    `java.lang.String[]` | `getField()` |
    `java.lang.String` | `getField​(int index)` |
    `int` | `getFieldCount()` |
    `void` | `setField​(int index, java.lang.String field)` |
    `void` | `setField​(java.lang.String[] fields)` |

    - ### Methods inherited from class org.jfree.report.expressions.AbstractExpression

      `getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupByExpression

          public GroupByExpression()

  - ### Method Detail

    - #### computeValue

          public java.lang.Object computeValue()
                                        throws DataSourceException

      Return the current expression value.

      The value depends (obviously) on the expression implementation.

      Returns:
        the value of the function.
      Throws:
        `DataSourceException`

    - #### setField

          public void setField​(int index,
                               java.lang.String field)

    - #### getField

          public java.lang.String getField​(int index)

    - #### getFieldCount

          public int getFieldCount()

    - #### getField

          public java.lang.String[] getField()

    - #### setField

          public void setField​(java.lang.String[] fields)

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Description copied from class: `AbstractExpression`
      Clones the expression, expression should be reinitialized after the cloning.

      Expression maintain no state, cloning is done at the beginning of the report processing to disconnect the used expression from any other object space.

      Specified by:
        `clone` in interface `Expression`
      Overrides:
        `clone` in class `AbstractExpression`
      Returns:
        A clone of this expression.
      Throws:
        `java.lang.CloneNotSupportedException` - this should never happen.